> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usefini.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a criterion

> Delete one criterion from a test set.

Deletes one criterion from a test set.

## Headers

<ParamField header="Authorization" type="string" required>
  Bearer token containing your Fini workspace API key. Format: `Bearer fini_...` The key needs `write` scope.
</ParamField>

## Path parameters

<ParamField path="testSetId" type="string" required>
  Test set ID.
</ParamField>

<ParamField path="criteriaId" type="string" required>
  Criterion ID.
</ParamField>

## Response

Returns `{ "success": true }`.

<RequestExample>
  ```bash cURL theme={null}
  curl --request DELETE \
    --url 'https://api-prod.usefini.com/v2/test-sets/44c1f705-8e1a-4f61-8c4c-d519d37fb6b7/criteria/96eab02d-3bc3-4b90-ae5b-1a41a1444afa/public' \
    --header 'Authorization: Bearer fini_your_api_key'
  ```

  ```javascript Node.js theme={null}
  const testSetId = '44c1f705-8e1a-4f61-8c4c-d519d37fb6b7';
  const criteriaId = '96eab02d-3bc3-4b90-ae5b-1a41a1444afa';

  const response = await fetch(`https://api-prod.usefini.com/v2/test-sets/${testSetId}/criteria/${criteriaId}/public`, {
    method: 'DELETE',
    headers: {
      Authorization: 'Bearer fini_your_api_key'
    }
  });

  const result = await response.json();
  ```

  ```python Python theme={null}
  import requests

  test_set_id = "44c1f705-8e1a-4f61-8c4c-d519d37fb6b7"
  criteria_id = "96eab02d-3bc3-4b90-ae5b-1a41a1444afa"

  response = requests.delete(
      f"https://api-prod.usefini.com/v2/test-sets/{test_set_id}/criteria/{criteria_id}/public",
      headers={"Authorization": "Bearer fini_your_api_key"},
  )

  result = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "success": true
  }
  ```
</ResponseExample>
